@echo off
cd /d %~dp0
if "_%1" == "_" (
del /f /q .\var\minified_*
start "TDTPAD_WINSERVER" /MAX cmd /c call %0 1
goto :eof
)
mode con lines=32766
color 07
start "" nircmd cmdwait 5000 setprocesspriority "%~dp0node.exe" high
node node_modules\ep_etherpad-lite\node\server.js
cd /d %~dp0
nircmd stdbeep
nircmd win settopmost title "TDTPAD_WINSERVER" 1
nircmd win flash title "TDTPAD_WINSERVER"
nircmd win settopmost title "TDTPAD_WINSERVER" 0
start "" nircmd trayballoon "TDTPad" "server stopped!" "" 15000
nircmd beep 600 300
echo ___________________
echo SERVER WAS STOPPED!
pause
